Process::Result - Crystal 1.21.0

# struct Process::Result

- Process::Result
- Struct
- Value
- Object

##
Overview

EXPERIMENTAL

##
Defined in:

process/capture.cr

##
Constructors

- .new(status : Status, output : String | Nil, error : String | Nil)

##
Instance Method Summary

- #error : String

  Returns the captured `#error` stream or an empty string.

- #error? : String | Nil

  Returns the captured `#error` stream or an empty string.

- #output : String

  Returns the captured `#output` stream or an empty string.

- #output? : String | Nil

  Returns the captured `#output` stream.

- #status : Process::Status

  Returns the status of the process.

### Instance methods inherited from struct `Struct`

==(other : YAML::Any)
==(other) : Bool ==, hash(hasher) hash, inspect(io : IO) : Nil inspect, pretty_print(pp) : Nil pretty_print, to_s(io : IO) : Nil to_s

### Class methods inherited from struct `Struct`

pre_initialize(address : Pointer) : Nil pre_initialize

### Instance methods inherited from struct `Value`

==(other : Log::Metadata::Value)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup

### Instance methods inherited from class `Object`

! : Bool !, !=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, as(type : Class) as, as?(type : Class) as?, class class, dup dup, hash(hasher)
hash hash, in?(collection : Object) : Bool
in?(*values : Object) : Bool in?, inspect(io : IO) : Nil
inspect : String inspect, is_a?(type : Class) : Bool is_a?, itself itself, nil? : Bool nil?, not_nil!(message)
not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, responds_to?(name : Symbol) : Bool responds_to?, tap(&) tap, to_json(io : IO) : Nil
to_json : String to_json, to_pretty_json(indent : String = " ") : String
to_pretty_json(io : IO, indent : String = " ") : Nil to_pretty_json, to_s(io : IO) : Nil
to_s : String to_s, to_yaml(io : IO) : Nil
to_yaml : String to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io : String | IO, root : String)
from_json(string_or_io : String | IO) from_json, from_yaml(string_or_io : String | IO) from_yaml

### Macros inherited from class `Object`

class_getter(*names, &block) class_getter, class_getter!(*names) class_getter!, class_getter?(*names, &block) class_getter?, class_property(*names, &block) class_property, class_property!(*names) class_property!, class_property?(*names, &block) class_property?, class_setter(*names) class_setter, def_clone def_clone, def_equals(*fields) def_equals, def_equals_and_hash(*fields) def_equals_and_hash, def_hash(*fields) def_hash, delegate(*methods, to object) delegate, forward_missing_to(delegate) forward_missing_to, getter(*names, &block) getter, getter!(*names) getter!, getter?(*names, &block) getter?, property(*names, &block) property, property!(*names) property!, property?(*names, &block) property?, setter(*names) setter

##
Constructor Detail

def self.new(status : Status, output : String | Nil, error : String | Nil) #

##
Instance Method Detail

def error : String #

Returns the captured `#error` stream or an empty string.

If `#error` was not captured, returns the empty string.

The captured error stream might be truncated. If the total output is larger than 64kB, only the first 32kB and the last 32kB are preserved.

def error? : String | Nil #

Returns the captured `#error` stream or an empty string.

If `#error` was not captured, returns `nil`.

The captured error stream might be truncated. If the total output is larger than 64kB, only the first 32kB and the last 32kB are preserved.

def output : String #

Returns the captured `#output` stream or an empty string.

If `#output` was not captured, returns the empty string.

def output? : String | Nil #

Returns the captured `#output` stream.

If `#output` was not captured, returns `nil`.

def status : Process::Status #

Returns the status of the process.